Bug 1326280 - [RFE] [manila]: Show only Available Protocols for Shares in Share Protocol Drop-Down Menu
Summary: [RFE] [manila]: Show only Available Protocols for Shares in Share Protocol Dr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila-ui
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Victoria Martinez de la Cruz
QA Contact: Dustin Schoenbrun
URL:
Whiteboard:
: 1326119 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-12 10:24 UTC by Robin Cernin
Modified: 2017-05-17 19:29 UTC (History)
15 users (show)

Fixed In Version: openstack-manila-ui-2.7.1-0.20170127105750.b67e7e6.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:29:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 372805 None None None 2016-12-16 16:37:50 UTC
Launchpad 1622732 None None None 2016-12-16 16:38:26 UTC

Comment 3 Stephen Gordon 2016-06-09 18:51:58 UTC
Bulk update to reflect scope of Red Hat OpenStack Platform 9 and Red Hat OpenStack Platform does not include this issue (No pm_ack+).

Comment 13 Thierry Vignaud 2017-02-14 17:11:06 UTC
Change is in openstack-manila-ui-2.7.1-0.20170127105750.b67e7e6.el7ost

Comment 22 Dustin Schoenbrun 2017-03-27 19:12:09 UTC
Using the 2017-03-08.3 puddle, openstack-manila-ui-2.7.1-0.20170214092823.2e2ae51.el7ost.noarch, and the workaround where we tell Horizon to use the v2 Keystone API endpoint instead of the v3 API endpoint, I was able to successfully set the list of enabled share protocols in the Horizon UI as well as verifying the default behavior of listing all known protocols if the list is not specified.

Comment 23 Sean Cohen 2017-03-27 22:51:47 UTC
*** Bug 1326119 has been marked as a duplicate of this bug. ***

Comment 24 errata-xmlrpc 2017-05-17 19:29:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.